--
-- Specialzare  Universal 650M
--
-- @author  Adriano
-- NU MODIFICATI FARA ACORDUL MEU
--
RotiAratura = {}

 if BaseMission.rotiAratura == nil then
	BaseMission.rotiAratura = {};
end;

function RotiAratura.prerequisitesPresent(specializations)
    return true;
end;

function RotiAratura:load(xmlFile)
 	self.RotiAratura = {};
    local i = 0;
    while true do
        local namei = string.format("vehicle.wheels.wheel(%d)", i);
		local nodei = Utils.indexToObject(self.components, getXMLString(xmlFile, namei .. "#repr")); 
		local aratura = Utils.getNoNil(getXMLString(xmlFile, namei .. "#radius"), 1);
		self.RotiAratura[i] = {}
		self.RotiAratura[i].isActive = true;
		self.RotiAratura[i].node = nodei;
		self.RotiAratura[i].aratura = aratura ;
		i = i+1;
    end;
end;


      
function RotiAratura:delete()
end;

function RotiAratura:mouseEvent(posX, posY, isDown, isUp, button)
end;
	  
function RotiAratura:keyEvent(unicode, sym, modifier, isDown)
end;

function RotiAratura:update(dt)

		for k, wheel in pairs(self.RotiAratura) do
			-- checks if node on terrainDetail
			local x,y,z = getWorldTranslation(wheel.node);
			local ploughChannel = Utils.getDensity(g_currentMission.terrainDetailId, g_currentMission.ploughChannel, x, z, x, z, x, z);
			if ploughChannel > 0 then
					wheel.aratura = wheel.aratura*0.5;
					else
					wheel.aratura = wheel.aratura*1;
				end;
			end;
end;

function RotiAratura:draw()
end;
